Subject: Re: [patch 1/2] powerpc: Sky CPU: redundant or incorrect tests on unsigned

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 04 Feb 2010 13:01:24 +1100

On Wed, 2010-02-03 at 20:47 -0500, support wrote:
> I doubt we'll be going to be using 7448's any more for future product lines.

Hi !

Well, that isn't really the question :-) Is there any interest in
ensuring that your current Sky is supported by upstream linux kernels or
not ? As I said, the current kernel seems to contain code relative to
the Sky CPU that is never enabled and potentially has issue. Are you
guys interested in fixing this so that upstream linux supports your
existing products, or should we just rip the code out ?

Cheers,
Ben.
 
> Dave Bushee
> Director OEM Sales and Services
> SKY Computers Inc.
> 27 Industrial Ave.
> 978-250-2420 x232
> www.skycomputers.com
> 
> 
> ----- Original Message ----- 
> From: "Benjamin Herrenschmidt" <[email-masked]>
> To: "support" <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; 
> <[email-masked]>; <[email-masked]>; <[email-masked]>; 
> <[email-masked]>
> Sent: Wednesday, February 03, 2010 7:18 PM
> Subject: Re: [patch 1/2] powerpc: Sky CPU: redundant or incorrect tests on 
> unsigned
> 
> 
> > On Wed, 2010-02-03 at 19:10 -0500, support wrote:
> >> The sky cpu is a PPC7448.
> >> I'm actually amazed that you guys are still working on a problem for
> >> a
> >> product that was finished a number of years ago, at the request of
> >> someone
> >> who hasn't worked here for years.
> >> I sorry you, seem to have been wasting your time.
> >> I think, but am NOT sure,  that our HAA function sets it off.
> >> http://www.skycomputers.com/Systems/HAA_HMM.php
> >>
> >> Still, we have finished the product some time ago, and as far as
> >> reported
> >> have no problems.
> >> Again, I'm sorry you have wasted any time on this, we just recently
> >> found
> >> these emails.
> >
> > Well, there seem to be some code in the Linux kernel related to that CPU
> > that is either dead or incomplete. So if you guys have no interest in
> > it, we might just rip it out completely.
> >
> > Cheers,
> > Ben.
> >
> >
> >